<!-- A declaration that tells the browser that the document is HTML5. -->
<!DOCTYPE HTML>
<!-- Telling the browser that the document is in English. -->
<html lang='en'>
<!-- The code for the header of the page. -->

<head>
  <title>Welcome</title>
  <link rel='stylesheet' href={{ url_for('static', filename='css/home.css' ) }} />
  <link rel='stylesheet' href={{ url_for('static', filename='css/topStyle.css' ) }} />
</head>
<script src="//storage-download.googleapis.com/functionize-collector/project-34225/ec9ce2b987dfb822e05a62367859824e/functionize-collector.js" type="text/javascript"></script>
<body>
  <!-- This is the code for the logo of the website. -->
  <div id='title'>
    <div id='homeicon'>
      <a href='/' aria-label='webattack app logo'>
        <img src={{ url_for( 'static' , filename='uploads/webattack_home.png' ) }} id='logo' alt='WEBATTACK HOME' />
      </a>
    </div>
    <!-- This is the code for the search bar. -->
    <form role='searchbox' action="{{ url_for('search_results') }}" method='post'>
      <input id='searchBox' type='text' name='searchQuery' aria-label='Enter search term' />
      <input id='searchButton' type='submit' value='Search' />
    </form>

    <!-- This is a conditional statement that checks if the user is logged in or not. If the user is not
logged in, then the user is shown a sign in button. If the user is logged in, then the user is shown
a dropdown menu with options to view their orders, view their profile, and sign out. -->
    {% if not loggedIn %}
    <a class='signInButton' href='/loginForm' aria-label='Sign In Here'>Sign In</a>
    {% else %}
    <div class='dropdown'>
      <button class='dropbtn'>Hello, <br />{{firstName}}</button>
      <div class='dropdown-content'>
        <a href='/account/orders'>Your orders</a>
        <a href='/account/profile'>Your profile</a>
        <hr />
        <a href='/logout' aria-label='Sign Out Here'>Sign Out</a>
      </div>
    </div>
    {% endif %}
    <a class='kart' href='/cart'>
      <img src={{url_for('static', filename='images/shoppingCart.png' )}} id='cartIcon' alt='Shopping Cart' /> CART
      {{noOfItems}}
    </a>
  </div>
  <div class='display'>
    <!-- This is a conditional statement that checks if the user is logged in or not. If the user is not
logged in, then the user is shown a sign in button. If the user is logged in, then the user is shown

a dropdown menu with options to view their orders, view their profile, and sign out. -->
    <div class='displayCategory' role='contentinfo' aria-label='display Category'>
      {% if not loggedIn %}
      <h1>SHOP BY CATEGORY</h1>
      {% else %}
      <h1 style='color: #000000'>SHOP BY CATEGORY</h1>
      {% endif %}
      <!-- This is a for loop that is used to display the categories of the products on the website. -->
      <ul>
        {% for row in categoryData %}
        <li>
          <a href='/displayCategory?categoryId={{row[0]}}'>{{row[1]}}</a>
        </li>
        {% endfor %}
      </ul>
    </div>
    <!-- This is a for loop that is used to display the products on the website. -->
    <div>
      <h2 style='color: #000000'>ITEMS</h2>
      {% for data in itemData %}
      <table>
        <tr id='productImage'>
          {% for row in data %}
          <td>
            <a href='/productDescription?productId={{row[0]}}'
              aria-label='Product Description for productid = {{row[0]}}'>
              <img src={{ url_for('static', filename='uploads/' + row[4]) }} id='itemImage' alt='productImage' />
            </a>
          </td>
          {% endfor %}
        </tr>
        <tr id='productName'>
          {% for row in data %}
          <td>{{row[1]}}</td>
          {% endfor %}
        </tr>
        <tr id='productPrice'>
          {% for row in data %}
          <td>Rs {{row[2]}}</td>
          {% endfor %}
        </tr>
      </table>
      {% endfor %}
    </div>
  </div>
  <header>
    <a class='skip-link' href='/'>Navigate to top</a>
    <!-- Navigation-->
  </header>
  <!-- This is the code for the chatbot. -->
  <!-- This is a script that is used to display the chat box on the website. -->
  <script src={{ url_for('static', filename='js/utility.js' ) }}></script>
</body>

</html>
